Requisition

A requisition documents a provider's order for lab tests, imaging, or other diagnostic services for a patient.

The requisition model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the requisition.

  • Name
    object
    Type
    string
    Description

    Always 'requisition'.

  • Name
    type
    Type
    string
    Description

    The type of requisition.

    Possible values:
    general
    lab
    imaging
  • Name
    name
    Type
    string
    Description

    Name of the requisition.

  • Name
    patient
    Type
    string
    Description

    Patient this requisition is for.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this requisition should be shared with the patient.

  • Name
    requisition_result
    Type
    string
    Description

    Result associated with this requisition.

  • Name
    service_facility
    Type
    string
    Description

    Facility where the ordered service will be performed.

  • Name
    ordering_provider
    Type
    string
    Description

    Provider who ordered the requisition.

  • Name
    diagnoses
    Type
    array of objects
    Description

    List of diagnoses associated with this requisition.

  • Name
    scripts
    Type
    array of objects
    Description

    List of scripts associated with this requisition.

  • Name
    order_details
    Type
    string
    Description

    Additional details about the order.

  • Name
    comments
    Type
    array of objects
    Description

    List of comments added to the requisition.

  • Name
    reviews
    Type
    array of objects
    Description
    Review history of the requisition.
  • Name
    status_history
    Type
    array of objects
    Description

    History of status changes for this requisition.

  • Name
    created_by
    Type
    string
    Description

    Creator of the requisition.

  • Name
    created_at
    Type
    string
    Description

    Timestamp (in ISO 8601 format) of when the requisition was created.

  • Name
    last_updated_at
    Type
    string
    Description

    Timestamp (in ISO 8601 format) of when the requisition was last updated.

Response

{
    "id": "req_2UxtAULYUrX7GVsTKePy",
    "object": "requisition",

    "type": "lab",
    "name": "Comprehensive Metabolic Panel — 9/18/22",

    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "share_with_patient": false,
    "requisition_result": "rslt_TKePyL2UxtAYUUrX7GVs",

    "service_facility": "fac_NOIYLBGOBNhSwTWCUzfu",
    "ordering_provider": "user_xeDpGyt67wTor93qKtS7",

    "diagnoses": [
        {
            "id": "diag_1JtjV1QEY84Fv395Hl7h",
            "code": "E11.9",
            "description": "Type 2 diabetes mellitus without complications"
        }
    ],
    "scripts": [
        {
            "id": "scrt_U8xtAULYUrX7GVsTKePy",
            "name": "CMP",
            "description": "Comprehensive Metabolic Panel"
        }
    ],

    "order_details": "Fasting required. Patient should avoid food and drink for 8 hours prior.",

    "comments": [
        {
            "id": "cmmt_op0jVVAdR23DgkQPpdX8",
            "object": "comment",
            "requisition": "req_2UxtAULYUrX7GVsTKePy",
            "comment": "This is a comment.",
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }
    ],

    "reviews": [
        {
            "status": "reviewed",
            "requested_by": "user_xeDpGyt67wTor93qKtS7",
            "reviewer": "user_Z1zXZKvqrpwxbznuW6lJ",
            "requested_at": "2024-04-03T04:12:01.781Z",
            "review_deadline": "2024-04-10T04:12:01.781Z",
            "reviewed_at": "2024-04-05T09:30:00.000Z"
        }
    ],
    "status_history": [
        {
            "status": "draft",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-03T04:12:01.781Z"
        },
        {
            "status": "sent",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-04T11:00:00.000Z"
        },
        {
            "status": "results_received",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-05T09:30:00.000Z"
        }
    ],

    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-03T04:12:01.781Z",
    "last_updated_at": "2024-04-05T09:30:00.000Z"
}

POST/v2/requisitions

Create a requisition

Creates a new requisition.

Required attributes

  • Name
    patient
    Type
    string
    Description

    Patient this requisition is for.

  • Name
    type
    Type
    string
    Description

    The type of requisition.

    Possible values:
    general
    lab
    imaging
  • Name
    ordering_provider
    Type
    string
    Description

    Provider who is ordering the requisition.

Optional attributes

  • Name
    name
    Type
    string
    Description

    Name of the requisition.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this requisition should be shared with the patient.

  • Name
    service_facility
    Type
    string
    Description

    Facility where the ordered service will be performed.

  • Name
    diagnoses
    Type
    array of objects
    Description

    List of diagnoses to associate with this requisition.

  • Name
    scripts
    Type
    array of objects
    Description

    List of scripts to associate with this requisition.

  • Name
    order_details
    Type
    string
    Description

    Additional details about the order.

  • Name
    review
    Type
    object
    Description
    Review of requisition.

Response

{
    "id": "req_2UxtAULYUrX7GVsTKePy",
    "object": "requisition",

    "type": "lab",
    "name": "Comprehensive Metabolic Panel — 9/18/22",

    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "share_with_patient": false,
    "requisition_result": null,

    "service_facility": "fac_NOIYLBGOBNhSwTWCUzfu",
    "ordering_provider": "user_xeDpGyt67wTor93qKtS7",

    "diagnoses": [
        {
            "id": "diag_1JtjV1QEY84Fv395Hl7h",
            "code": "E11.9",
            "description": "Type 2 diabetes mellitus without complications"
        }
    ],
    "scripts": [
        {
            "id": "scrt_U8xtAULYUrX7GVsTKePy",
            "name": "CMP",
            "description": "Comprehensive Metabolic Panel"
        }
    ],

    "order_details": "Fasting required. Patient should avoid food and drink for 8 hours prior.",

    "comments": [],

    "reviews": [],
    "status_history": [
        {
            "status": "draft",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-03T04:12:01.781Z"
        }
    ],

    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-03T04:12:01.781Z",
    "last_updated_at": "2024-04-03T04:12:01.781Z"
}

GET/v2/requisitions/:id

Retrieve a requisition

Retrieves the specified requisition.

Response

{
    "id": "req_2UxtAULYUrX7GVsTKePy",
    "object": "requisition",

    "type": "lab",
    "name": "Comprehensive Metabolic Panel — 9/18/22",

    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "share_with_patient": false,
    "requisition_result": "rslt_TKePyL2UxtAYUUrX7GVs",

    "service_facility": "fac_NOIYLBGOBNhSwTWCUzfu",
    "ordering_provider": "user_xeDpGyt67wTor93qKtS7",

    "diagnoses": [
        {
            "id": "diag_1JtjV1QEY84Fv395Hl7h",
            "code": "E11.9",
            "description": "Type 2 diabetes mellitus without complications"
        }
    ],
    "scripts": [
        {
            "id": "scrt_U8xtAULYUrX7GVsTKePy",
            "name": "CMP",
            "description": "Comprehensive Metabolic Panel"
        }
    ],

    "order_details": "Fasting required. Patient should avoid food and drink for 8 hours prior.",

    "comments": [
        {
            "id": "cmmt_op0jVVAdR23DgkQPpdX8",
            "object": "comment",
            "requisition": "req_2UxtAULYUrX7GVsTKePy",
            "comment": "This is a comment.",
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z"
        }
    ],

    "reviews": [
        {
            "status": "reviewed",
            "requested_by": "user_xeDpGyt67wTor93qKtS7",
            "reviewer": "user_Z1zXZKvqrpwxbznuW6lJ",
            "requested_at": "2024-04-03T04:12:01.781Z",
            "review_deadline": "2024-04-10T04:12:01.781Z",
            "reviewed_at": "2024-04-05T09:30:00.000Z"
        }
    ],
    "status_history": [
        {
            "status": "draft",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-03T04:12:01.781Z"
        },
        {
            "status": "sent",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-04T11:00:00.000Z"
        },
        {
            "status": "results_received",
            "changed_by": "user_xeDpGyt67wTor93qKtS7",
            "changed_at": "2024-04-05T09:30:00.000Z"
        }
    ],

    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-03T04:12:01.781Z",
    "last_updated_at": "2024-04-05T09:30:00.000Z"
}

GET/v2/requisitions/:id/pdf

Retrieve a requisition in PDF format

Returns a signed URL to the PDF version of the requisition, which expires within 30 minutes.

Response

{
    "id": "req_2UxtAULYUrX7GVsTKePy",
    "object": "requisition",
    "url": "https://....",
    "expires_at": "2024-04-03T04:42:01.781Z"
}

POST/v2/requisitions/:id

Update a requisition

Update the specified requisition object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Name of the requisition.

    • Name
      share_with_patient
      Type
      boolean
      Description

      Whether this requisition should be shared with the patient.

    • Name
      service_facility
      Type
      string
      Description

      Facility where the ordered service will be performed.

    • Name
      ordering_provider
      Type
      string
      Description

      Provider who is ordering the requisition.

    • Name
      diagnoses
      Type
      array of objects
      Description

      List of diagnoses to associate with this requisition.

    • Name
      scripts
      Type
      array of objects
      Description

      List of scripts to associate with this requisition.

    • Name
      order_details
      Type
      string
      Description

      Additional details about the order.

    • Name
      review
      Type
      object
      Description
      Review of requisition.

    Response

    {
        "id": "req_2UxtAULYUrX7GVsTKePy",
        "object": "requisition",
    
        "type": "lab",
        "name": "Comprehensive Metabolic Panel — 9/18/22",
    
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "share_with_patient": true,
        "requisition_result": "rslt_TKePyL2UxtAYUUrX7GVs",
    
        "service_facility": "fac_NOIYLBGOBNhSwTWCUzfu",
        "ordering_provider": "user_xeDpGyt67wTor93qKtS7",
    
        "diagnoses": [
            {
                "id": "diag_1JtjV1QEY84Fv395Hl7h",
                "code": "E11.9",
                "description": "Type 2 diabetes mellitus without complications"
            }
        ],
        "scripts": [
            {
                "id": "scrt_U8xtAULYUrX7GVsTKePy",
                "name": "CMP",
                "description": "Comprehensive Metabolic Panel"
            }
        ],
    
        "order_details": "Fasting required. Patient should avoid food and drink for 8 hours prior.",
    
        "comments": [
            {
                "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                "object": "comment",
                "requisition": "req_2UxtAULYUrX7GVsTKePy",
                "comment": "This is a comment.",
                "created_by": "user_xeDpGyt67wTor93qKtS7",
                "created_at": "2024-04-10T13:20:21.724Z"
            }
        ],
    
        "reviews": [
            {
                "status": "reviewed",
                "requested_by": "user_xeDpGyt67wTor93qKtS7",
                "reviewer": "user_Z1zXZKvqrpwxbznuW6lJ",
                "requested_at": "2024-04-03T04:12:01.781Z",
                "review_deadline": "2024-04-10T04:12:01.781Z",
                "reviewed_at": "2024-04-05T09:30:00.000Z"
            }
        ],
        "status_history": [
            {
                "status": "draft",
                "changed_by": "user_xeDpGyt67wTor93qKtS7",
                "changed_at": "2024-04-03T04:12:01.781Z"
            },
            {
                "status": "sent",
                "changed_by": "user_xeDpGyt67wTor93qKtS7",
                "changed_at": "2024-04-04T11:00:00.000Z"
            },
            {
                "status": "results_received",
                "changed_by": "user_xeDpGyt67wTor93qKtS7",
                "changed_at": "2024-04-05T09:30:00.000Z"
            }
        ],
    
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-03T04:12:01.781Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
    }
    

    GET/v2/requisitions

    List all requisitions

    Returns a list of all requisitions.

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Patient to filter by.

    • Name
      type
      Type
      string
      Description

      Requisition type to filter by.

      Possible values:
      general
      lab
      imaging
    • Name
      search
      Type
      string
      Description

      Filter by requisition name (case-insensitive partial match).

    • Name
      share_with_patient
      Type
      boolean
      Description

      Filter by whether the requisition is shared with the patient.

    • Name
      limit
      Type
      number
      Description

      Maximum number of requisitions to return.

    • Name
      offset
      Type
      number
      Description

      Number of requisitions to skip for pagination.

    Request

    GET
    /v2/requisitions
    curl https://{{base_subdomain}}.avonhealth.com/v2/requisitions?patient=user_Z1zXZKvqrpwxbznuW6lJ&type=lab&limit=25&offset=0 \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

    {
      "object": "list",
      "data": [
        {
            "id": "req_2UxtAULYUrX7GVsTKePy",
            "object": "requisition",
    
            "type": "lab",
            "name": "Comprehensive Metabolic Panel — 9/18/22",
    
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "share_with_patient": false,
            "requisition_result": "rslt_TKePyL2UxtAYUUrX7GVs",
    
            "service_facility": "fac_NOIYLBGOBNhSwTWCUzfu",
            "ordering_provider": "user_xeDpGyt67wTor93qKtS7",
    
            "diagnoses": [
                {
                    "id": "diag_1JtjV1QEY84Fv395Hl7h",
                    "code": "E11.9",
                    "description": "Type 2 diabetes mellitus without complications"
                }
            ],
            "scripts": [
                {
                    "id": "scrt_U8xtAULYUrX7GVsTKePy",
                    "name": "CMP",
                    "description": "Comprehensive Metabolic Panel"
                }
            ],
    
            "order_details": "Fasting required. Patient should avoid food and drink for 8 hours prior.",
    
            "comments": [
                {
                    "id": "cmmt_op0jVVAdR23DgkQPpdX8",
                    "object": "comment",
                    "requisition": "req_2UxtAULYUrX7GVsTKePy",
                    "comment": "This is a comment.",
                    "created_by": "user_xeDpGyt67wTor93qKtS7",
                    "created_at": "2024-04-03T04:12:01.781Z"
                }
            ],
    
            "reviews": [
                {
                    "status": "reviewed",
                    "requested_by": "user_xeDpGyt67wTor93qKtS7",
                    "reviewer": "user_Z1zXZKvqrpwxbznuW6lJ",
                    "requested_at": "2024-04-03T04:12:01.781Z",
                    "review_deadline": "2024-04-10T04:12:01.781Z",
                    "reviewed_at": "2024-04-05T09:30:00.000Z"
                }
            ],
            "status_history": [
                {
                    "status": "draft",
                    "changed_by": "user_xeDpGyt67wTor93qKtS7",
                    "changed_at": "2024-04-03T04:12:01.781Z"
                },
                {
                    "status": "sent",
                    "changed_by": "user_xeDpGyt67wTor93qKtS7",
                    "changed_at": "2024-04-04T11:00:00.000Z"
                },
                {
                    "status": "results_received",
                    "changed_by": "user_xeDpGyt67wTor93qKtS7",
                    "changed_at": "2024-04-05T09:30:00.000Z"
                }
            ],
    
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-03T04:12:01.781Z",
            "last_updated_at": "2024-04-05T09:30:00.000Z"
        }
      ]
    }